## delo 0.7

=== delo/Makefile ===
CC=gcc
CFLAGS=-O0 -g

delo: delo.o

delo.o: delo.c

install: delo
	cp delo /sbin

clean:
	rm -f core *.o *~ delo tags

=== loader/Makefile ===

CC=gcc
CFLAGS=-mno-abicalls -G 0 -fno-pic 
ASFLAGS=-mno-abicalls -G 0 -fno-pic
LDFLAGS=-static -T ld.script -Ttext=0x80440000

delo.2nd.raw: delo.2nd
	objcopy --output-target=binary delo.2nd delo.2nd.raw

delo.2nd: start.o msdos.o config.o main.o file.o malloc.o stringops2.o stringops1.o copyelf.o
	ld ${LDFLAGS} -o delo.2nd start.o config.o msdos.o copyelf.o stringops2.o stringops1.o malloc.o main.o file.o e2fslib/libext2fs.a 

malloc.o: malloc.c

stringops1.o: stringops1.c

stringops2.o: stringops2.c

main.o: main.c

file.o: file.c

config.o: config.c

msdos.o: msdos.c

copyelf.o: copyelf.c

start.o: start.S	

install: delo.2nd.raw
	cp delo.2nd.raw /boot/delo.2nd

tags:
	ctags *.h *.c

clean:	
	rm -f *.r *.o tags delo.2nd delo.2nd.raw

## delo 0.8-1

=== debian/changelog ===
delo (0.8-1) unstable; urgency=high

  * New upstream version by Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
    Added features:
    - delo has now iso9660 filesystem support and can create bootable 
      CD images
    - delo boots ECOFF, ELF and ELF64 kernels
    - delo supports pre-loading of an initial ramdisk
    - t-rex added to create network bootable TFTP images
    The new upstream version includes the Debian patches from the older
    package versions.
  * Added debconf support
  * New/extended manpages
  * Package now builds for non-mipsel as well (needed for Debian
    CD generation)
  * Adopting orphaned package. (Closes: #120656)

 -- Karsten Merker <merker@debian.org>  Sun, 18 Jan 2004 18:28:13 +0100

delo (0.7-8) unstable; urgency=high

  * Applied patch from Flo, to fix booting on CVS kernels. This Closes:
    #124134.

  * Urgency high, since this is release critical, and should get into
    woody.

 -- Gergely Nagy <algernon@debian.org>  Sun, 16 Dec 2001 00:27:16 +0100

delo (0.7-7) unstable; urgency=low

  * debian/patches/04-config.c.dpatch: new patch from
  Guido Guenther <agx@debian.org> (Closes: #120087)

 -- Gergely Nagy <algernon@debian.org>  Sun, 18 Nov 2001 16:01:59 +0100

delo (0.7-6) unstable; urgency=medium

  * debian/delo.postinst: ask before running deloconfig (Closes: #115590)
  * urgency medium, since older versions can break some installs

 -- Gergely Nagy <algernon@debian.org>  Mon, 15 Oct 2001 21:17:46 +0200

delo (0.7-5) unstable; urgency=low

  * debian/control: since perl-base is essential, we don't need to depend
    on it explictly...

 -- Gergely Nagy <algernon@debian.org>  Sat, 29 Sep 2001 17:34:13 +0200

delo (0.7-4) unstable; urgency=high

  * debian/control: downgrade perl dependancy to perl-base
  (Closes: #113787)
  * urgency set to high, since this allows configuration in boot-floppies    

 -- Gergely Nagy <algernon@debian.org>  Sat, 29 Sep 2001 14:25:11 +0200

delo (0.7-3) unstable; urgency=low

  * Fixed the delo.8 manpage, thanks to Adrian Bunk <bunk@fs.tum.de> for
    the patch (Closes: #112230)
  * Fix packaging: include .diff again.

 -- Gergely Nagy <algernon@debian.org>  Sat, 15 Sep 2001 15:36:45 +0200

delo (0.7-2) unstable; urgency=low

  * Disable debug mode in deloconfig, whopsy
  * deloconfig:
  	+ does not ask for the default console by default
  	+ made sure to install to the root disk, not to the
  	root partition
  * Thanks to Karsten Merker <karsten@excalibur.cologne.de> for
  his observations
  * Cleaned up manual pages, removed last traces of `lilo' (oops)
  * Packaging redone without debhelper
  * Bumped Standards-Version to 3.5.6
  * Added perl to the Depends: line

 -- Gergely Nagy <algernon@debian.org>  Sun,  5 Aug 2001 01:53:58 +0200

delo (0.7-1) unstable; urgency=low

  * Initial release
  * Wrote deloconfig (based on liloconfig)
  * ld target changed to elf32-tradlittlemips (to work with the
  current glibc ABI)
  * Wrote manual pages for delo, deloconfig and delo.conf
  * Rewrote loader/dec_prom.h, do get rid of the old-BSD licensed one

 -- Gergely Nagy <algernon@debian.org>  Fri,  3 Aug 2001 15:55:25 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Include dpatch stuff.
include /usr/share/dpatch/dpatch.make

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatibility version to use.
export DH_COMPAT=4

PACKAGE=$(shell dh_listpackages)
ARCH=$(shell dpkg --print-architecture)

build: build-stamp
build-stamp: patch-stamp
	dh_testdir
	$(MAKE)
	touch build-stamp

clean: clean1 unpatch
clean1:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	rm -rf debian/patched
	$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs sbin usr/bin usr/lib/$(PACKAGE) usr/share/doc/$(PACKAGE) /usr/share/man/man1 /usr/share/man/man5 /usr/share/man/man8
	dh_install delo/delo sbin
	dh_install t-rex/t-rex usr/bin
	dh_installdirs boot usr/lib/$(PACKAGE)
	dh_install loader/delo.2nd boot
	dh_install t-rex-loader/t-rex-loader usr/lib/$(PACKAGE)
	dh_installchangelogs
	dh_installdocs README TODO kernel-patch/ramdisk_kernel_parameters.patch
	dh_installexamples delo.conf
	dh_installman man/t-rex.1 man/delo.conf.5 man/delo.8
	dh_installdebconf
	dh_installdeb

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip -Xloader
	dh_compress
	dh_fixperms
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install patch unpatch \
	clean1

## delo 0.8-2

=== t-rex-loader/Makefile ===
#
# This file is licensed under the terms of the GNU General Public License,
# version 2. See the file COPYING in the main directory for details.
#
#  Copyright (C) 2003  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
#

CC = gcc
INSTALL = install

CFLAGS = -mabi=32 -ffreestanding -Os -W -Wall #-DDEBUG
ASFLAGS = $(CFLAGS) -D__ASSEMBLY__
LDFLAGS = -static -T ld.script -nostdlib -no-undefined
CPPFLAGS += -I../include

# Gross hack! start.S must be first!
SOURCES = start.S main.c
OBJS = $(patsubst %.S,%.o,$(patsubst %.c,%.o,$(SOURCES)))

all: t-rex-loader

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

%.o: %.S
	$(CC) $(ASFLAGS) $(CPPFLAGS) -c -o $@ $<

t-rex-loader: $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $^

install: t-rex-loader
	$(INSTALL) -d -m 0755 /usr/lib/delo/
	$(INSTALL) -m 0644 t-rex-loader /usr/lib/delo/

tags:
	ctags *.h *.c

clean:
	-rm -f $(OBJS) $(OBJS:.o=.d) core tags *~

reallyclean: clean
	-rm -f t-rex-loader

.PHONY = all install clean reallyclean

# Dependency handling
%.d: %.c
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

%.d: %.S
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

ifneq ($(MAKECMDGOALS),clean)
-include $(OBJS:.o=.d)
endif

=== t-rex/Makefile ===
#
# This file is licensed under the terms of the GNU General Public License,
# version 2. See the file COPYING in the main directory for details.
#
# Copyright (C) 2003  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
#

CC = gcc
INSTALL = install

CFLAGS = -O2 -W -Wall
CPPFLAGS += -I../include

SOURCES = t-rex.c
OBJS = $(patsubst %.S,%.o,$(patsubst %.c,%.o,$(SOURCES)))

.SUFFIXES = .c.o
.PHONY = all install clean reallyclean

all: t-rex

t-rex: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $^

install: t-rex
	$(INSTALL) -d -m 0755 /usr/bin
	$(INSTALL) -m 0755 t-rex /usr/bin

tags:
	ctags *.h *.c

clean:
	-rm -f $(OBJS) $(OBJS:.o=.d) t-rex core tags *~

reallyclean: clean

# Dependency handling
%.d: %.c
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

%.d: %.S
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

ifneq ($(MAKECMDGOALS),clean)
-include $(OBJS:.o=.d)
endif

=== debian/changelog ===
delo (0.8-2) unstable; urgency=high

  * Do not strip the loader binary (delo.2nd).
    This is required to be able to build delo on non-mipsel
    architectures without multiarch-binutils, as the non-mipsel
    strip binaries can break the loader.  (Closes: #252143)

  * Changed delo.config, delo.postinst and delo.prerm for
    better POSIX compatibilty; patch by David Weinehall.
    (Closes: #254924)

 -- Karsten Merker <merker@debian.org>  Sat, 25 Sep 2004 17:48:23 +0200

=== debian/control ===
Source: delo
Section: base
Priority: important
Maintainer: Karsten Merker <merker@debian.org>
Build-Depends: e2fslibs-dev (>= 1.34+1.35-WIP-2003.08.21), comerr-dev (>= 1.34+1.35-WIP-2003.08.21), debhelper, dpatch
Standards-Version: 3.6.1.0

Package: delo
Architecture: any
Depends: ${shlibs:Depends}, debconf
Description: The DECstation boot loader
 This is DELO, the DECstation boot loader, which you need to boot Linux
 on DECstations from storage media. It can also create bootable media
 for DECstations on other machines.

=== debian/rules ===
--- 
+++ 
@@ -51,7 +51,7 @@
 binary-arch: build install
 	dh_testdir
 	dh_testroot
-	dh_strip -Xloader
+	dh_strip -Xloader -Xdelo.2nd
 	dh_compress
 	dh_fixperms
 	dh_shlibdeps

## delo 0.8-2.1

=== debian/changelog ===
delo (0.8-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Get rid of the /usr/doc link (Closes: #359377).
  * Fix for the cdebconf transition (Closes: #331798).
  * Applied patch from Martin Quinson, to switch to gettext based debconf
    templates (Closes: #250269).

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Wed, 12 Jul 2006 21:02:53 +0200

## delo 0.8-2.2

=== Makefile ===
#
# This file is licensed under the terms of the GNU General Public License,
# version 2. See the file COPYING in the main directory for details.
#
# Copyright (C) 2003  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
#

#
# We build the loader binaries only if we are compiling for a mipsel-linux
# machine. Otherwise we build only the installer. This is useful to make
# CDs, disks and other media bootable on non-mipsel machines.
#
add_native = $(shell if [ $$($(CC) -dumpmachine) = "mipsel-linux" ]; then echo "$(1)"; fi)

SUBDIRS = delo t-rex $(call add_native, loader t-rex-loader)

.PHONY = all $(patsubst %, _dir_%, $(SUBDIRS))
all: $(patsubst %, _dir_%, $(SUBDIRS))
$(patsubst %, _dir_%, $(SUBDIRS)):
	$(MAKE) -C $(patsubst _dir_%, %, $@) all

.PHONY = install $(patsubst %, _instdir_%, $(SUBDIRS))
install: $(patsubst %, _instdir_%, $(SUBDIRS))
$(patsubst %, _instdir_%, $(SUBDIRS)):
	$(MAKE) -C $(patsubst _instdir_%, %, $@) install

.PHONY = clean $(patsubst %, _cleandir_%, $(SUBDIRS))
clean: $(patsubst %, _cleandir_%, $(SUBDIRS))
	-rm -f core *~
$(patsubst %, _cleandir_%, $(SUBDIRS)):
	$(MAKE) -C $(patsubst _cleandir_%, %, $@) clean

.PHONY = reallyclean $(patsubst %, _reallycleandir_%, $(SUBDIRS))
reallyclean: clean $(patsubst %, _reallycleandir_%, $(SUBDIRS))
$(patsubst %, _reallycleandir_%, $(SUBDIRS)):
	$(MAKE) -C $(patsubst _reallycleandir_%, %, $@) reallyclean

=== delo/Makefile ===
#
# This file is licensed under the terms of the GNU General Public License,
# version 2. See the file COPYING in the main directory for details.
#
#  Copyright (C) 2002,2003  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
#

CC = gcc
INSTALL = install

CFLAGS = -O2 -W -Wall
CPPFLAGS += -I../include

SOURCES = delo.c isoio.c extents.c
OBJS = $(patsubst %.S,%.o,$(patsubst %.c,%.o,$(SOURCES)))

.SUFFIXES = .c.o
.PHONY = all install clean reallyclean

all: delo

delo: $(OBJS)
	$(CC) $(CFLAGS) -o $@ $^

install: delo
	$(INSTALL) -d -m 755 /sbin
	$(INSTALL) -m 0755 delo /sbin

tags:
	ctags *.h *.c

clean:
	-rm -f $(OBJS) $(OBJS:.o=.d) delo core tags *~

reallyclean: clean

# Dependency handling
%.d: %.c
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

%.d: %.S
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

ifneq ($(MAKECMDGOALS),clean)
-include $(OBJS:.o=.d)
endif

=== loader/Makefile ===
#
# This file is licensed under the terms of the GNU General Public License,
# version 2. See the file COPYING in the main directory for details.
#
#  Copyright (C) 2002,2003  Thiemo Seufer <seufer@csv.ica.uni-stuttgart.de>
#

CC = gcc
INSTALL = install

CFLAGS = -mabi=32 -ffreestanding -Os -W -Wall #-DDEBUG
ASFLAGS = $(CFLAGS) -D__ASSEMBLY__
LDFLAGS = -static -T ld.script -L/usr/lib -nostdlib -no-undefined
CPPFLAGS += -I../include

SOURCES = config.c loadecoff.c loadelf.c file.c main.c malloc.c msdos.c \
	readext2blocks.c readisoblocks.c start.S stringops.c
OBJS = $(patsubst %.S,%.o,$(patsubst %.c,%.o,$(SOURCES)))
LIBS = -lext2fs -lcom_err

.PHONY = all install clean reallyclean

all: delo.2nd

%.o: %.c
	$(CC) $(CFLAGS) $(CPPFLAGS) -c -o $@ $<

%.o: %.S
	$(CC) $(ASFLAGS) $(CPPFLAGS) -c -o $@ $<

delo.2nd: $(OBJS)
	$(LD) $(LDFLAGS) -o $@ $^ $(LIBS)

install: delo.2nd
	$(INSTALL) -d -m 0755 /boot
	$(INSTALL) -m 0644 delo.2nd /boot

tags:
	ctags *.h *.c

clean:
	-rm -f $(OBJS) $(OBJS:.o=.d) core tags *~

reallyclean: clean
	-rm -f delo.2nd

# Dependency handling
%.d: %.c
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

%.d: %.S
	@set -e; $(CC) -MM $(CPPFLAGS) $< \
	| sed 's/\($*\)\.o[ :]*/\1.o $@ : /g' > $@; \
	[ -s $@ ] || rm -f $@

ifneq ($(MAKECMDGOALS),clean)
-include $(OBJS:.o=.d)
endif

=== debian/changelog ===
delo (0.8-2.2) unstable; urgency=low

  * Non-maintainer upload to fix longstanding l10n issues
  * Debconf translations
    - French added. Closes: #379976
    - Portuguese added. Closes: #380307

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Jan 2007 23:17:06 +0100

=== debian/control ===
Source: delo
Section: base
Priority: important
Maintainer: Karsten Merker <merker@debian.org>
Build-Depends: e2fslibs-dev (>= 1.39), comerr-dev (>= 2.1-1.39), debhelper (>= 4), dpatch
Standards-Version: 3.6.1.0

Package: delo
Architecture: any
Depends: ${shlibs:Depends}, debconf | debconf-2.0
Description: The DECstation boot loader
 This is DELO, the DECstation boot loader, which you need to boot Linux
 on DECstations from storage media. It can also create bootable media
 for DECstations on other machines.

=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,7 @@
 	rm -rf debian/patched
 	$(MAKE) clean
 	dh_clean
+	debconf-updatepo
 
 install: build
 	dh_testdir

## delo 0.8-2.4ubuntu1

=== debian/changelog ===
delo (0.8-2.4ubuntu1) intrepid; urgency=low

  * debian/patches/00list, debian/patches/01_include-limits-h.dpatch
    + Explicitly include limits.h for gcc 4.3(LP: #247304)

 -- Bobby R. Ward <bobbyrward@gmail.com>  Thu, 10 Jul 2008 14:26:04 +0000

delo (0.8-2.4) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * We've given the package as much non-intrusive love as possible.
    The remaining needs to be given by someone who commits to give love
    on long-term. Amaya and I have only been one-night lovers.
    Closes: #378037
  * Debconf translations:
    - French. Closes: #474502
    - German. Closes: #475422
    - Czech. Closes: #480145
    - Finnish. Closes: #480269
    - Galician. Closes: #480222
    - Russian. Closes: #480262
    - Basque. Closes: #480291
    - Portuguese. Closes: #480742
  * [Lintian] Add copyright information to debian/copyright

 -- Christian Perrier <bubulle@debian.org>  Thu, 08 May 2008 10:27:16 +0200

delo (0.8-2.3) unstable; urgency=low

  * Non-maintainer upload.
  * Added German debconf translation (Closes: #416161).
  * Added Czech debconf translation (Closes: #414389).
  * Added Dutch debconf translation (Closes: #452953).
  * Added improvement of the debconf templates . Thanks Thomas Huriaux
    (Closes: #378221).
  * Make lintian happier:
    - Add Buil-Dep on po-debconf
    - Section change from base to admin, where the rest of bootloaders live.
    - mv DH_COMPAT in debian/rules to debian/compat 
    - Update the FSF postal address in debian/copyright
    - Add #DEBHELPER# token in debian/delo.prerm and debian/delo.postrm
    - create debian/patches/00list (dpatch is not even used).
    - updated standards version, no changes needed.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 29 Mar 2008 13:48:45 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: delo
-Section: base
+Section: admin
 Priority: important
-Maintainer: Karsten Merker <merker@debian.org>
-Build-Depends: e2fslibs-dev (>= 1.39), comerr-dev (>= 2.1-1.39), debhelper (>= 4), dpatch
-Standards-Version: 3.6.1.0
+Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
+XSBC-Original-Maintainer: Karsten Merker <merker@debian.org>
+Build-Depends: e2fslibs-dev (>= 1.39), comerr-dev (>= 2.1-1.39), debhelper (>= 4), dpatch, po-debconf
+Standards-Version: 3.7.3
 
 Package: delo
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,9 +5,6 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=4
 
 PACKAGE=$(shell dh_listpackages)
 ARCH=$(shell dpkg --print-architecture)

## delo 0.8-2.5

=== debian/changelog ===
delo (0.8-2.5) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Dutch. Closes: #483012
    - Swedish. Closes: #501036
    - Italian. Closes: #483012

 -- Christian Perrier <bubulle@debian.org>  Fri, 24 Oct 2008 06:08:56 +0200

## delo 0.8-2.5ubuntu1

=== debian/changelog ===
delo (0.8-2.5ubuntu1) jaunty; urgency=low

  * Merge from debian unstable, remaining changes:
    +  debian/patches/00list, debian/patches/01_include-limits-h.dpatch
       - Explicitly include limits.h for gcc 4.3(LP: #247304)

 -- Stephan Hermann <sh@sourcecode.de>  Tue, 11 Nov 2008 14:16:16 +0000

## delo 0.8-2.6

=== debian/changelog ===
delo (0.8-2.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly includes limits.h to fix FTBFS under glibc 2.9 and GCC 4.3.
    Thanks to Bobby R. Ward <bobbyrward@gmail.com> and Ubuntu for the patch.
    (Closes: #506050)
  * Fix FTBFS twice in a row by not manually deleting debian/patched in clean
    target.
  * Add Spanish Debconf translation. Thanks to Francisco Javier Cuadrado
     <fcocuadrado@gmail.com>. (Closes: #518155)

 -- Chris Lamb <lamby@debian.org>  Sun, 02 Aug 2009 20:01:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: delo
 Section: admin
 Priority: important
-Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
-XSBC-Original-Maintainer: Karsten Merker <merker@debian.org>
+Maintainer: Karsten Merker <merker@debian.org>
 Build-Depends: e2fslibs-dev (>= 1.39), comerr-dev (>= 2.1-1.39), debhelper (>= 4), dpatch, po-debconf
 Standards-Version: 3.7.3

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,6 @@
 	dh_testdir
 	dh_testroot
 	rm -f build-stamp
-	rm -rf debian/patched
 	$(MAKE) clean
 	dh_clean
 	debconf-updatepo
